@if (componentData) {
  <div class="grid-info">
    <div class="flex-row">
      <sqtm-core-label
        [text]="'sqtm-core.entity.user.state.label' | translate"
      />
      <i
        nz-icon
        nzType="sqtm-core-generic:help"
        nzTheme="outline"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.administration-workspace.profiles.message.active-profile-explain'
            | translate
        "
        class="current-workspace-button tooltip-icon table-icon-size m-l-5"
      >
      </i>
    </div>
    <div>
      <label
        [attr.data-test-field-id]="'inactive-profile-label'"
        [ngClass]="inactiveColor"
        class="m-r-10"
      >
        {{ 'sqtm-core.entity.user.inactive.label' | translate }}
      </label>
      <nz-switch
        [(ngModel)]="componentData.profile.active"
        nzSize="small"
        class="switch-position"
        [nzControl]="true"
        [nzCheckedChildren]="checkedTemplate"
        [nzUnCheckedChildren]="unCheckedTemplate"
        [attr.data-test-field-id]="'active'"
        (click)="changeProfileStatus()"
      >
      </nz-switch>
      <label
        [attr.data-test-field-id]="'active-profile-label'"
        [ngClass]="activeColor"
        class="m-l-10"
      >
        {{ 'sqtm-core.entity.user.active.label' | translate }}
      </label>
    </div>
    @if (!componentData.profile.system) {
      <sqtm-core-label
        [text]="'sqtm-core.entity.generic.creation.label' | translate"
      >
      </sqtm-core-label>
      <sqtm-core-auditable-field
        [attr.data-test-field-id]="'info-list-created'"
        [userName]="componentData.profile.createdBy"
        [date]="componentData.profile.createdOn"
      >
      </sqtm-core-auditable-field>
    }
    <sqtm-core-label
      [text]="
        'sqtm-core.administration-workspace.views.project.permissions.type'
          | translate
      "
      [class]="'grid-column-start-1'"
    />
    <div>{{ getProfileType(componentData.profile) | translate }}</div>
    @if (!componentData.profile.system) {
      <sqtm-core-label
        [text]="'sqtm-core.entity.generic.modification.label' | translate"
      >
      </sqtm-core-label>
      <sqtm-core-auditable-field
        [attr.data-test-field-id]="'info-list-modified'"
        [userName]="componentData.profile.lastModifiedBy"
        [date]="componentData.profile.lastModifiedOn"
      >
      </sqtm-core-auditable-field>
    }
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.description.label' | translate"
      [class]="'grid-column-start-1'"
    />
  </div>
  <div class="m-t-5">
    <sqtm-core-editable-rich-text
      class="colspan-field"
      [focus]="true"
      [editable]="!componentData.profile.system && isUltimate"
      [attr.data-test-field-id]="'profile-description'"
      [sqtmCoreGenericViewEditableRichTextField]="'description'"
    />
  </div>
  <ng-template #checkedTemplate><i nz-icon nzType="check"></i></ng-template>
  <ng-template #unCheckedTemplate><i nz-icon nzType="close"></i></ng-template>
}
